> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update An Account

> Updates the specified Account’s metadata as well as the Account’s Type properties.



## OpenAPI

````yaml /openapi/platform/accounts.yaml PATCH /v1/accounts/{ACCOUNT_ID} 
openapi: 3.1.0
info:
  title: Account API
  version: '1.0'
  description: "## The Account Object\nThe Account API allows you to create, update, validate and share accounts in Domo. If you would like to manage a large number of accounts at scale from agencies or other 3rd party vendors that you currently manage individually through the Data Center in Domo, the Accounts API makes that possible.\n\n<Note>\n<!-- theme: info -->\n> ### Note\n>\n>The Accounts API will only return information for accounts you own or for accounts that have been shared with you in Domo.\n\n## Account Attributes\n| Property Name | Type | Description |\n| --- | --- | --- |\n| id | String |\tThe ID of the Account |\n| name | String\t| The name of the Account |\n| type | Object\t| The type of the Account |\n| valid\t| Boolean | Indicates if the Account needs to be re-authorized or not |\n\n## Account's Type Attributes\n| Property Name | Type | Description |\n| --- | --- | --- |\n| id | String | The ID of the Account Type |\n| name | String | The name of the Account Type |\n| templates | Object | The Template that defines the properties required to create an Account of this type |\n\n## Account Type's Template Attributes\n| Property Name | Type | Description |\n| --- | --- | --- |\n| title\t| String | The title of the Template |\n| contentType | String | The content-type header when sending the request to create an Account |\n| method | String | The HTTP method used when creating the Account |\n| properties | Array | The properties available to be sent when creating an Account |\n| name | String\t| The name of the Account Type |\n| templates | Object |The Template that defines the properties required to create an Account of this type |\n\n## Account Share Attributes\n| Property Name | Type | Description |\n| --- | --- | --- |\n| user\t| Object | The User to share the Account with. Only the User's id attribute is required. See the Users API for more information |\n\n"
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/accounts/{ACCOUNT_ID}:
    parameters:
      - schema:
          type: string
        name: ACCOUNT_ID
        in: path
        required: true
        description: The ID of the Account
    patch:
      summary: Update an Account
      description: >-
        Updates the specified Account’s metadata as well as the Account’s Type
        properties.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              x-examples:
                Example 1:
                  name: Leonhard Euler's Account
                  type:
                    id: xyz
                    properties:
                      password: mathematician
                      authenticateBy: PASSWORD
                      url: https://mathematicians.xyz.com
                      username: leonhard.euler@mathematicians.com
              properties:
                name:
                  type: string
                type:
                  type: object
                  properties:
                    id:
                      type: string
                    properties:
                      type: object
                      properties:
                        password:
                          type: string
                        authenticateBy:
                          type: string
                        url:
                          type: string
                        username:
                          type: string
                  required:
                    - id
      responses:
        '200':
          description: Returns the updated Account.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  valid:
                    type: boolean
                  type:
                    type: object
                    properties:
                      id:
                        type: string
                      properties:
                        type: object
                        properties: {}
                x-examples:
                  Example 1:
                    id: '88'
                    name: Leonhard Euler's Account
                    valid: true
                    type:
                      id: xyz
                      properties: {}
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````